Xalan-Java 2.7.1: Class SAX2DTM2.AncestorIterator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.dtm.ref.sax2dtm
Class SAX2DTM2.AncestorIterator

    java.lang.Object
      |
      +--org.apache.xml.dtm.ref.DTMAxisIteratorBase
            |
            +--org.apache.xml.dtm.ref.DTMDefaultBaseIterators.InternalAxisIteratorBase
                  |
                  +--org.apache.xml.dtm.ref.sax2dtm.SAX2DTM2.AncestorIterator

Direct Known Subclasses:
  SAX2DTM2.TypedAncestorIterator

public class SAX2DTM2.AncestorIterator
extends DTMDefaultBaseIterators.InternalAxisIteratorBase

Iterator that returns the ancestors of a given node in document order. (NOTE! This was changed from the XSLTC code!)

Constructor Summary
`SAX2DTM2.AncestorIterator()`

Method Summary
`DTMAxisIterator` | `cloneIterator()` Returns a deep copy of this iterator.
`int` | `getStartNode()` Get start to END should 'close' the iterator, i.e.
`void` | `gotoMark()`
`boolean` | `isReverse()` True if this iterator has a reversed axis.
`int` | `next()` Get the next node in the iteration.
`DTMAxisIterator` | `reset()` Resets the iterator to the last start node.
`void` | `setMark()`
`DTMAxisIterator` | `setStartNode(int node)` Set start to END should 'close' the iterator, i.e.

Methods inherited from class org.apache.xml.dtm.ref.DTMAxisIteratorBase
`getAxis, getLast, getNodeByPosition, getPosition, includeSelf, isDocOrdered, setRestartable`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SAX2DTM2.AncestorIterator

    public SAX2DTM2.AncestorIterator()

Method Detail

### getStartNode

    public int getStartNode()

  Get start to END should 'close' the iterator, i.e. subsequent call to next() should return END.
  Returns:
    The root node of the iteration.
  Overrides:
    getStartNode in class DTMAxisIteratorBase

### isReverse

    public final boolean isReverse()

  True if this iterator has a reversed axis.
  Returns:
    true since this iterator is a reversed axis.
  Overrides:
    isReverse in class DTMAxisIteratorBase

### cloneIterator

    public DTMAxisIterator cloneIterator()

  Returns a deep copy of this iterator. The cloned iterator is not reset.
  Returns:
    a deep copy of this iterator.
  Overrides:
    cloneIterator in class DTMAxisIteratorBase

### setStartNode

    public DTMAxisIterator setStartNode(int node)

  Set start to END should 'close' the iterator, i.e. subsequent call to next() should return END.
  Parameters:
    `node` - Sets the root of the iteration.
  Returns:
    A DTMAxisIterator set to the start of the iteration.

### reset

    public DTMAxisIterator reset()

  Resets the iterator to the last start node.
  Returns:
    A DTMAxisIterator, which may or may not be the same as this iterator.
  Overrides:
    reset in class DTMAxisIteratorBase

### next

    public int next()

  Get the next node in the iteration.
  Returns:
    The next node handle in the iteration, or END.

### setMark

    public void setMark()

  Overrides:
    setMark in class DTMDefaultBaseIterators.InternalAxisIteratorBase

### gotoMark

    public void gotoMark()

  Overrides:
    gotoMark in class DTMDefaultBaseIterators.InternalAxisIteratorBase

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.